[1] 2 >>> MLD-5.x / Development / [5.5U x96_64] kodi-stable Installation schlägt fehl
 

Offline BobW

  • Expert Member
  • *****
  • Posts: 559
    • View Profile
[5.5U x96_64] kodi-stable Installation schlägt fehl
« on: October 09, 2021, 10:51:15 »
Hallo,

kodi-stable (19.1) lässt sich nicht installieren, da es einen Abhängigkeitskonflikt mit dem python2.7 Paket gibt:

Code: [Select]
.
.
.
Selecting previously unselected package kodi-stable.
Preparing to unpack .../14-kodi-stable_1%3a19.1.0-3.4_amd64.deb ...
Unpacking kodi-stable (1:19.1.0-3.4) ...
Errors were encountered while processing:
 /tmp/apt-dpkg-install-lzeEzx/02-python3-kodi_3.7-0_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
asrock1> apt-get install --fix-broken
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  libavfilter7 libavformat58 libavresample4 libbs2b0 libchromaprint1 libcrossguid0 libfftw3-double3 libgme0 libiso9660-11 liblept5 libopenmpt0 libpostproc55 librubberband2 libsamplerate0 libtesseract4 libvidstab1.1
  libvorbisfile3 libzimg2 python python-kodi python-talloc
Use 'apt autoremove' to remove them.
The following additional packages will be installed:
  python3-kodi
The following NEW packages will be installed:
  python3-kodi
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
14 not fully installed or removed.
Need to get 0 B/7.591 kB of archives.
After this operation, 21,0 MB of additional disk space will be used.
Do you want to continue? [Y/n]
(Reading database ... 19258 files and directories currently installed.)
Preparing to unpack .../python3-kodi_3.7-0_amd64.deb ...
Unpacking python3-kodi (3.7-0) ...
dpkg: error processing archive /var/cache/apt/archives/python3-kodi_3.7-0_amd64.deb (--unpack):
 trying to overwrite '/usr/share/pyshared/lsb_release.py', which is also in package python-kodi 2.7-8.1
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/python3-kodi_3.7-0_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
asrock1>

Schöne Grüße
BobW

Offline herb01

  • Newbie
  • *
  • Posts: 25
    • View Profile
[5.5U x96_64] kodi-stable Installation schlägt fehl
« Reply #1 on: October 09, 2021, 11:25:49 »
Das läuft bei mir problemlos. Ich denke, daß das Paket "python-kodi 2.7-8.1" für Kodi 19.x (nutzt Python 3) nicht benötigt wird. Daher würde ich das manuell deinstallieren und dann Kodi 19 installieren.

So sieht das bei mir aus:

MLD> apt list "*kodi*"
Listing... Done
kodi-plugin-plex/unstable 1.1-8 amd64
kodi-stable/unstable,now 1:19.1.0-3.4 amd64 [installed]
kodi/unstable,now 18.9-95.7 amd64 [residual-config]
python-kodi/unstable 2.7-8.1 amd64
python3-kodi/unstable,now 3.7-0 amd64 [installed,automatic]

Viele Grüße
Herbert
« Last Edit: October 09, 2021, 11:30:34 by herb01 »

Offline BobW

  • Expert Member
  • *****
  • Posts: 559
    • View Profile
[5.5U x96_64] kodi-stable Installation schlägt fehl
« Reply #2 on: October 09, 2021, 11:43:28 »
Hallo Herbert,

das ist schon richtig. Nach dem purge von kodi* zur Entfernung aller kodis auf dem System und remove von python (2.7) mit anschließendem "apt clean" lässt sich kodi-stable ohne Fehler installieren.

Das sollte aber die Installation des kodi-stable-Paketes auch selbstständig zusammenbringen, selbst wenn vorher das kodi-Paket installiert war.
Dazu kommt, dass die Bezeichnungen der kodi-Pakete etwas unglücklich sind. kodi-stable ist 19.1 und kodi ist 18.9.

Schöne Grüße
BobW

Offline baltic

  • MLD-Debugger
  • Expert Member
  • *****
  • Posts: 673
    • View Profile
[5.5U x96_64] kodi-stable Installation schlägt fehl
« Reply #3 on: October 09, 2021, 15:05:14 »
Hallo Herbert, hi Bob,

habt Ihr schon mal getestet, ob inzwischen das MediathekView-Plugin in dieser Konfiguration funktioniert?

Hintergrund der Frage: Ich hatte diese Upgrade vor längerer Zeit mal versucht, bin damals aber an Inkompatibilitäten zw. Python und dem Plugin gescheitert. Für genauere Untersuchungen fehlte leider die Zeit, sodass mir nur der Rückschritt mittels snapshot blieb. Sollte sich die Lage gebessert haben, würde ich gerne noch mal einen Anlauf unternehmen.

Vielen Dank und Grüße
Peter
MLD 5.5 – unstable  Asus M3N78-EM  SkyStar2

Offline herb01

  • Newbie
  • *
  • Posts: 25
    • View Profile
[5.5U x96_64] kodi-stable Installation schlägt fehl
« Reply #4 on: October 09, 2021, 17:19:37 »
Quote
Das sollte aber die Installation des kodi-stable-Paketes auch selbstständig zusammenbringen, selbst wenn vorher das kodi-Paket installiert war.
ja klar, das war von mir auch nur als Workaroud gedacht

Quote
habt Ihr schon mal getestet, ob inzwischen das MediathekView-Plugin in dieser Konfiguration funktioniert?
Nein, ich nutze das MediathekView-Addon nicht. Kann ich aber gerne heute abend mal ausprovieren.

Ich habe übrigens schon immer ein (zugegebenermaßen eher kosmetisches) Problem. Beim Starten kommt immer die Fehlermeldung
Code: [Select]
Playback failed

One or more items failed to play. Check the log for more
information about this message
Und zwar selbst wenn noch keine Addons installiert sind. Ich habe auch schon alle möglichen Einstellungen durch und im Log kann nicht absolut nix dazu finden. Hat das noch jemand? Oder eine Idee, was das verursachen könnte?

Viele Grüße
Herbert

Offline herb01

  • Newbie
  • *
  • Posts: 25
    • View Profile
[5.5U x96_64] kodi-stable Installation schlägt fehl
« Reply #5 on: October 09, 2021, 18:04:51 »
Quote
habt Ihr schon mal getestet, ob inzwischen das MediathekView-Plugin in dieser Konfiguration funktioniert?

So, gerade ausprobiert. Das Addon gibt es nicht mehr im Kodinerds-Repo, ich habe es von hier https://github.com/kasi45/plugin.video.mediathekviewweb geladen und installiert. Scheint alles zu funktionieren.

Viele Grüße
Herbert

Offline baltic

  • MLD-Debugger
  • Expert Member
  • *****
  • Posts: 673
    • View Profile
[5.5U x96_64] kodi-stable Installation schlägt fehl
« Reply #6 on: October 09, 2021, 18:42:53 »
Hallo Herbert,

vielen Dank für den Test und die Info! Aber warum mediathekviewweb, das ist doch eigentlich für mobile Endgeräte?
Ansonsten kenne ich das hier: https://github.com/mediathekview/kodi-repos. Sollte ja eigentlich gehen, hat aber damals die genannten Probleme verursacht.

Zu Deinem "Kosmetikproblem" kann ich leider nichts sagen, denn es ist mir bislang nicht untergekommen. In welchen Logs hast Du denn geschaut?
Evtl. hilft Dir ja diese Anleitung weiter: https://www.windowsdispatch.com/fix-one-or-more-items-failed-to-play-kodi-error/.

Viele Grüße
Peter
MLD 5.5 – unstable  Asus M3N78-EM  SkyStar2

Offline herb01

  • Newbie
  • *
  • Posts: 25
    • View Profile
[5.5U x96_64] kodi-stable Installation schlägt fehl
« Reply #7 on: October 09, 2021, 18:52:15 »
Quote
vielen Dank für den Test und die Info! Aber warum mediathekviewweb, das ist doch eigentlich für mobile Endgeräte?
Nö, das ist schon ein Addon für Kodi, oder? Ich hatte auf kodinerds.net nachgeschaut, warum das nicht mehr im Repo ist und den Link hier gefunden. Aber egal, ich probiere das hier auch gerne später aus.

Quote
In welchen Logs hast Du denn geschaut?
Im kodi.log, auch mit Debug-Log eingeschaltet. Ich denke nicht, daß dies mit irgendwelchen Abspielproblemen zu tun hat. Wie gesagt, die Meldung kommt nur einmal nach dem Starten. Ich klicke sie weg und dann funktioniert alles wunderbar und es wird auch alles abgespielt, was bei mir so vorkommt.

Viele Grüße
Herbert
« Last Edit: October 09, 2021, 18:57:42 by herb01 »

Offline herb01

  • Newbie
  • *
  • Posts: 25
    • View Profile
[5.5U x96_64] kodi-stable Installation schlägt fehl
« Reply #8 on: October 09, 2021, 19:10:41 »
Quote
Ansonsten kenne ich das hier: https://github.com/mediathekview/kodi-repos.

Auch das sieht gut aus...

Viele Grüße
Herbert

Offline baltic

  • MLD-Debugger
  • Expert Member
  • *****
  • Posts: 673
    • View Profile
[5.5U x96_64] kodi-stable Installation schlägt fehl
« Reply #9 on: October 09, 2021, 19:13:13 »
Quote
Quote
vielen Dank für den Test und die Info! Aber warum mediathekviewweb, das ist doch eigentlich für mobile Endgeräte?
Nö, das ist schon ein Addon für Kodi, oder? Ich hatte auf kodinerds.net nachgeschaut, warum das nicht mehr im Repo ist und den Link hier gefunden. Aber egal, ich probiere das hier auch gerne später aus.

Meines Wissens ist mediathekviewweb halt der kleine Bruder, wenn man so will. Ob Addons da jeweils kompatibel sind weiß ich nicht, damit habe ich mich bislang nicht befasst.

Quote
Quote
In welchen Logs hast Du denn geschaut?
Im kodi.log, auch mit Debug-Log eingeschaltet. Ich denke nicht, daß dies mit irgendwelchen Abspielproblemen zu tun hat. Wie gesagt, die Meldung kommt nur einmal nach dem Starten. Ich klicke sie weg und dann funktioniert alles wunderbar und es wird auch alles abgespielt, was bei mir so vorkommt.

Ja, aber es kann auf Dauer nerven.  ;)
MLD 5.5 – unstable  Asus M3N78-EM  SkyStar2

Offline baltic

  • MLD-Debugger
  • Expert Member
  • *****
  • Posts: 673
    • View Profile
[5.5U x96_64] kodi-stable Installation schlägt fehl
« Reply #10 on: October 09, 2021, 19:14:44 »
Quote
Quote
Ansonsten kenne ich das hier: https://github.com/mediathekview/kodi-repos.

Auch das sieht gut aus...

Na, dann mache ich mich nachher mal ans Werk.  8)

Vielen Dank!
Peter
MLD 5.5 – unstable  Asus M3N78-EM  SkyStar2

Offline herb01

  • Newbie
  • *
  • Posts: 25
    • View Profile
[5.5U x96_64] kodi-stable Installation schlägt fehl
« Reply #11 on: October 09, 2021, 19:20:13 »
Quote
Ja, aber es kann auf Dauer nerven.  ;)
so isses ::) Ist auch bei mir nur bei dieser Installation unter MLD vorhanden. Aber egal, bin sehr froh, daß Claus sie hinzugefügt hat. Auf dem NUC ist Kodi richtig fix. Vielleicht ist mit der neuen Version 19.2 der Fehler weg. Muß mal Claus anpingen, ob er sie zur Verfügung stellen würde.

Viele Grüße
Herbert

Offline baltic

  • MLD-Debugger
  • Expert Member
  • *****
  • Posts: 673
    • View Profile
[5.5U x96_64] kodi-stable Installation schlägt fehl
« Reply #12 on: October 09, 2021, 22:47:09 »
Soderle, hat alles geklappt, vielen Dank nochmal!

Allerdings taucht jetzt die Meldung auch bei mir auf. Ist hoffentlich wirklich ein Problem der 19.1 und in künftigen Releases gelöst. Leia hatte es nicht, jedenfalls bei mir. Deine Formulierung war allerdings nicht ganz eindeutig.

Schönen Abend!
Peter
MLD 5.5 – unstable  Asus M3N78-EM  SkyStar2

Offline herb01

  • Newbie
  • *
  • Posts: 25
    • View Profile
[5.5U x96_64] kodi-stable Installation schlägt fehl
« Reply #13 on: October 10, 2021, 14:25:08 »
Soderle, hat alles geklappt, vielen Dank nochmal!

Allerdings taucht jetzt die Meldung auch bei mir auf. Ist hoffentlich wirklich ein Problem der 19.1 und in künftigen Releases gelöst. Leia hatte es nicht, jedenfalls bei mir. Deine Formulierung war allerdings nicht ganz eindeutig.
Ja, ich hatte vorher kurz Leia installiert und kann mich nicht erinnern, daß diese Meldung kam.

Viele Grüße
Herbert

Offline herb01

  • Newbie
  • *
  • Posts: 25
    • View Profile
[5.5U x96_64] kodi-stable Installation schlägt fehl
« Reply #14 on: October 18, 2021, 19:41:27 »
Hallo Peter (und alle anderen),

ich hatte Claus angeschrieben, ob er die neues Kodi-Version (19.2) bereitstellen würde, was Claus auch umgehend getan hat (schönen Dank dafür). Leider war (eigentlich wie erwartet) die initiale Fehlermeldung in Kodi immer noch vorhanden. Ich habe dann noch einmal die Logs durchsucht und das hier im Kodi-Log gefunden:
Code: [Select]
2021-10-18 19:30:41.008 T:3089     INFO <general>: VideoPlayer::OpenFile: /var/run/lirc/lircd
2021-10-18 19:30:41.010 T:3118     INFO <general>: Creating InputStream
2021-10-18 19:30:41.011 T:3118    ERROR <general>: CVideoPlayer::OpenInputStream - error opening [/var/run/lirc/lircd]
Ich denke, ich nutzte kein lirc, sondern den internen IR-Empänger des NUC. Daher habe ich in der Datei "/usr/bin/runkodi" die Zeile
Code: [Select]
eval kodi -l /var/run/lirc/lircd $KODI_ARGS >>/var/log/kodi 2>&1mit # auskommentiert und durch
Code: [Select]
eval kodi $KODI_ARGS >>/var/log/kodi 2>&1ersetzt. Die Fehlermeldung ist damit verschwunden und (bei mir) funktioniert Kodi wunderbar mit der Fernbedienung, die auch der VDR nutzt. Vielleicht hilft das jemand, den Fehler zu beseitigen? Oder zumindest wird wenigstens auch Peter seine unschöne Fehlermeldung los? ;D

Viele Grüße
Herbert

[1] 2 >>> MLD-5.x / Development / [5.5U x96_64] kodi-stable Installation schlägt fehl
 



Users Online Users Online

0 Members and 1 Guest are viewing this topic.